[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkList.IndexOf

IndexOf returns the ordinal position for the specified Bookmark in the list.

## Declaration

Source position: dbgrids.pas line 178

`public function TBookmarkList.IndexOf(`
`const Item: TBookmark`
`):Integer;`

## Arguments

`Item` |  | Bookmark to find in the list.

## Function result

Position in the list for the bookmark.

## Description

IndexOf is an Integer function used to get the ordinal position in the list for the specified Bookmark. The return value contains the position in the list where the TBookmark instance was located. IndexOf calls Find to locate the bookmark and to capture the return value for the method. The return value is in the range 0..Count-1 when the bookmark exists in the list or -1 when the bookmark is not found.